package com.ms.dal.mapper;

import com.ms.dal.entity.DdTradeMsg;
import org.apache.ibatis.annotations.Mapper;

/**
 * @Entity com.ms.dal.entity.DdTradeMsg
 */
@Mapper
public interface DdTradeMsgMapper {

    int deleteByPrimaryKey(Long id);

    int insert(DdTradeMsg record);

    int insertOrUpdate(DdTradeMsg  record);

    int insertSelective(DdTradeMsg record);

    DdTradeMsg selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(DdTradeMsg record);

    int updateByPrimaryKey(DdTradeMsg record);

}
